Class UmlAttribute

This class manages 'attribute', notes that the class 'UmlClassItem'
is a mother class of the class's children.
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlAttribute : public UmlBaseAttribute
- Java : class UmlAttribute extends UmlBaseAttribute

Artifact : UmlAttribute

Operation UmlAttribute

Declaration :

- Uml : + UmlAttribute(in id : item_id, in n : string) :
- C++ : public: UmlAttribute(void * id, const QCString & n) : UmlBaseAttribute(id, n)
- Java : public UmlAttribute(long id, String n)

All public operations : addGetOperation , addSetOperation , apply , applyStereotype , children , childrenVisible , constraint , cppDecl , cppVisibility , create , defaultValue , defined_ , deleteIt , description , getIdentifier , getOperation , identifier_ , idlCase , idlDecl , isClassMember , isCppMutable , isDerived , isDerivedUnion , isJavaTransient , isMarked , isOrdered , isReadOnly , isToolRunning , isUnique , isVolatile , isWritable , javaAnnotations , javaDecl , kind , kind , markedItems , moveAfter , multiplicity , name , parent , phpDecl , properties , propertyValue , pythonDecl , referencedBy , set_childrenVisible , set_Constraint , set_CppDecl , set_CppVisibility , set_DefaultValue , set_Description , set_IdlCase , set_IdlCase , set_IdlDecl , set_isClassMember , set_isCppMutable , set_isDerived , set_isJavaTransient , set_isMarked , set_isOrdered , set_isReadOnly , set_isUnique , set_isVolatile , set_JavaAnnotations , set_JavaDecl , set_Multiplicity , set_Name , set_PhpDecl , set_PropertyValue , set_PythonDecl , set_Stereotype , set_Type , set_Visibility , setOperation , stereotype , supportFile , type , unload , unload , unload , visibility